maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "sarath.learning" <sarath.learn...@gmail.com>
Subject Failing to compile flex project using Maven
Date Thu, 25 Aug 2011 10:21:52 GMT
Hi All,

  I am new to maven. I am trying to compile flex 4.1 project. the POM.xml
file is shown below.

<?xml version="1.0" encoding="UTF-8"?>
	
<project xmlns="http://maven.apache.org/POM/4.0.0"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.appnomic.amp</groupId>
		<artifactId>amp</artifactId>
		<version>1.0.0-SNAPSHOT</version>
	</parent>
  
	
	<groupId>com.appnomic.amp</groupId>
	<artifactId>amp-view</artifactId>
	<version>1.0.0</version>
	
	<name>AMP SWF Module</name>
   
	<build>
		<sourceDirectory>src/main/flex</sourceDirectory>
		<testSourceDirectory>src/test/flex</testSourceDirectory>
		<plugins>
			<plugin>
				<groupId>org.sonatype.flexmojos</groupId>
				<artifactId>flexmojos-maven-plugin</artifactId>
				<version>3.8</version>
				<extensions>true</extensions>
				<configuration>
					<locales>
						<locale>en_US</locale>
					</locales>
				</configuration>
				<dependencies>
					<dependency>
						<groupId>com.adobe.flex</groupId>
						<artifactId>compiler</artifactId>
						<version>>4.1.0.16076</version>
						<type>pom</type>
					</dependency>
					
					<dependency>
						<groupId>com.adobe.flex.compiler</groupId>
						<artifactId>asdoc</artifactId>
						<version>>4.1.0.16076</version>
						<classifier>template</classifier>
						<type>zip</type>
					</dependency>
				</dependencies>
			</plugin>
		</plugins>
	</build>

	<dependencies>
		<dependency>
			<groupId>com.adobe.flex.framework</groupId>
			<artifactId>flex-framework</artifactId>
			<version>4.1.0.16076</version>
			<type>pom</type>
		</dependency>
		
	
		
		<dependency>
			<groupId>com.asfusion.mate</groupId>
			<artifactId>mate-framework</artifactId>
			<version>0.8.9</version>
			<type>swc</type>
		</dependency>
		
		<dependency>
			<groupId>org.graniteds</groupId>
			<artifactId>granite-swc</artifactId>
			<version>2.1.0.GA</version>
            <type>swc</type>    
		</dependency>

		
		
	</dependencies>


	<repositories>
		<repository>
			<id>flex-mate</id>
			<url>http://mate-framework.googlecode.com/svn/trunk/maven/</url>
		</repository>
		<repository>
			<id>flexmojos</id>
			<url>http://repository.sonatype.org/content/groups/public/</url>
		</repository>
		<repository>
			<id>acp-repo</id>
			<url>https://192.168.2.14/svn/acp/acp-support/trunk/dev/maven-repo/</url>
		</repository>		
		<repository>
			<id>acp-repo-file</id>
		
<url>file://D:/Appnomic/ACP/build/V1.0.0/acp-support/trunk/dev/maven-repo</url>
		</repository>
		
		
	
	  <repository>
            <id>flexmojos-repository</id>
            <url>http://repository.sonatype.org/content/groups/public/</url>
            <releases>
                <enabled>true</enabled>
            </releases>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </repository>
     

	</repositories>


</project>


when i try to to package or install using i am getting below exception. Can
any one help me to understarnd this problem. Thanks in Advance.

Mvn -x install :-  

[DEBUG] Looking up lifecyle mappings for packaging jar from
ClassRealm[plexus.core, parent: null]
[ERROR] The build could not read 1 project -> [Help 1]
org.apache.maven.project.ProjectBuildingException: Some problems were
encountered while processing the POMs:
[ERROR] Unresolveable build extension: Plugin
org.sonatype.flexmojos:flexmojos-maven-plugin:3.8 or one of its dependencies
could not be resolved: The following artifacts could not be resolved:
com.ado
be.flex:compiler:pom:>4.1.0.16076,
com.adobe.flex.compiler:asdoc:zip:template:>4.1.0.16076,
jgoogleanalytics:jgoogleanalytics:jar:0.2: Could not find artifact
com.adobe.flex:compiler:pom:>4.1.0.16076
in central (http://repo1.maven.org/maven2) @
[ERROR]
'build.plugins.plugin[org.sonatype.flexmojos:flexmojos-maven-plugin].dependencies.dependency.version'
for com.adobe.flex:compiler:pom must not contain any of these characters
\/:"<>|?* but fou
nd > @ line 49, column 16
[ERROR]
'build.plugins.plugin[org.sonatype.flexmojos:flexmojos-maven-plugin].dependencies.dependency.version'
for com.adobe.flex.compiler:asdoc:zip:template must not contain any of these
characters \/
:"<>|?* but found > @ line 56, column 16

        at
org.apache.maven.project.DefaultProjectBuilder.build(DefaultProjectBuilder.java:339)
        at
org.apache.maven.DefaultMaven.collectProjects(DefaultMaven.java:632)
        at
org.apache.maven.DefaultMaven.getProjectsForMavenReactor(DefaultMaven.java:581)
        at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:233)
        at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:156)
        at org.apache.maven.cli.MavenCli.execute(MavenCli.java:537)
        at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:196)
        at org.apache.maven.cli.MavenCli.main(MavenCli.java:141)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:585)
        at
org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:290)
        at
org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:230)
        at
org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:409)
        at
org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:352)
[ERROR]
[ERROR]   The project com.appnomic.amp:amp-view:1.0.0
(D:\Appnomic\AMP\amp\view\pom.xml) has 3 errors
[ERROR]     Unresolveable build extension: Plugin
org.sonatype.flexmojos:flexmojos-maven-plugin:3.8 or one of its dependencies
could not be resolved: The following artifacts could not be resolved: com
.adobe.flex:compiler:pom:>4.1.0.16076,
com.adobe.flex.compiler:asdoc:zip:template:>4.1.0.16076,
jgoogleanalytics:jgoogleanalytics:jar:0.2: Could not find artifact
com.adobe.flex:compiler:pom:>4.1.0.16
076 in central (http://repo1.maven.org/maven2) -> [Help 2]
org.apache.maven.plugin.PluginResolutionException: Plugin
org.sonatype.flexmojos:flexmojos-maven-plugin:3.8 or one of its dependencies
could not be resolved: The following artifacts could not be resol
ved: com.adobe.flex:compiler:pom:>4.1.0.16076,
com.adobe.flex.compiler:asdoc:zip:template:>4.1.0.16076,
jgoogleanalytics:jgoogleanalytics:jar:0.2: Could not find artifact
com.adobe.flex:compiler:pom:>
4.1.0.16076 in central (http://repo1.maven.org/maven2)
        at
org.apache.maven.plugin.internal.DefaultPluginDependenciesResolver.resolve(DefaultPluginDependenciesResolver.java:215)
        at
org.apache.maven.project.DefaultProjectBuildingHelper.resolveExtensionArtifacts(DefaultProjectBuildingHelper.java:377)
        at
org.apache.maven.project.DefaultProjectBuildingHelper.createProjectRealm(DefaultProjectBuildingHelper.java:237)
        at
org.apache.maven.project.DefaultModelBuildingListener.buildExtensionsAssembled(DefaultModelBuildingListener.java:106)
        at
org.apache.maven.model.building.ModelBuildingEventCatapult$1.fire(ModelBuildingEventCatapult.java:43)
        at
org.apache.maven.model.building.DefaultModelBuilder.fireEvent(DefaultModelBuilder.java:1041)
        at
org.apache.maven.model.building.DefaultModelBuilder.build(DefaultModelBuilder.java:391)
        at
org.apache.maven.model.building.DefaultModelBuilder.build(DefaultModelBuilder.java:374)
        at
org.apache.maven.project.DefaultProjectBuilder.build(DefaultProjectBuilder.java:536)
        at
org.apache.maven.project.DefaultProjectBuilder.build(DefaultProjectBuilder.java:328)
        at
org.apache.maven.DefaultMaven.collectProjects(DefaultMaven.java:632)
        at
org.apache.maven.DefaultMaven.getProjectsForMavenReactor(DefaultMaven.java:581)
        at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:233)
        at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:156)
        at org.apache.maven.cli.MavenCli.execute(MavenCli.java:537)
        at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:196)
        at org.apache.maven.cli.MavenCli.main(MavenCli.java:141)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:585)
        at
org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launcher.java:290)
        at
org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:230)
        at
org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launcher.java:409)
        at
org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:352)
Caused by: org.sonatype.aether.resolution.ArtifactResolutionException: The
following artifacts could not be resolved:
com.adobe.flex:compiler:pom:>4.1.0.16076,
com.adobe.flex.compiler:asdoc:zip:templa
te:>4.1.0.16076, jgoogleanalytics:jgoogleanalytics:jar:0.2: Could not find
artifact com.adobe.flex:compiler:pom:>4.1.0.16076 in central
(http://repo1.maven.org/maven2)
        at
org.sonatype.aether.impl.internal.DefaultArtifactResolver.resolve(DefaultArtifactResolver.java:541)
        at
org.sonatype.aether.impl.internal.DefaultArtifactResolver.resolveArtifacts(DefaultArtifactResolver.java:220)
        at
org.sonatype.aether.impl.internal.DefaultRepositorySystem.resolveDependencies(DefaultRepositorySystem.java:395)
        at
org.apache.maven.plugin.internal.DefaultPluginDependenciesResolver.resolve(DefaultPluginDependenciesResolver.java:207)
        ... 24 more
Caused by: org.sonatype.aether.transfer.ArtifactNotFoundException: Could not
find artifact com.adobe.flex:compiler:pom:>4.1.0.16076 in central
(http://repo1.maven.org/maven2)
        at
org.sonatype.aether.connector.wagon.WagonRepositoryConnector$4.wrap(WagonRepositoryConnector.java:945)
        at
org.sonatype.aether.connector.wagon.WagonRepositoryConnector$4.wrap(WagonRepositoryConnector.java:940)
        at
org.sonatype.aether.connector.wagon.WagonRepositoryConnector$GetTask.flush(WagonRepositoryConnector.java:695)
        at
org.sonatype.aether.connector.wagon.WagonRepositoryConnector$GetTask.flush(WagonRepositoryConnector.java:689)
        at
org.sonatype.aether.connector.wagon.WagonRepositoryConnector.get(WagonRepositoryConnector.java:445)
        at
org.sonatype.aether.impl.internal.DefaultArtifactResolver.resolve(DefaultArtifactResolver.java:460)
        ... 27 more
[ERROR]    
'build.plugins.plugin[org.sonatype.flexmojos:flexmojos-maven-plugin].dependencies.dependency.version'
for com.adobe.flex:compiler:pom must not contain any of these characters
\/:"<>|?* but
 found > @ line 49, column 16
[ERROR]    
'build.plugins.plugin[org.sonatype.flexmojos:flexmojos-maven-plugin].dependencies.dependency.version'
for com.adobe.flex.compiler:asdoc:zip:template must not contain any of these
character

--
View this message in context: http://maven.40175.n5.nabble.com/Failing-to-compile-flex-project-using-Maven-tp4733916p4733916.html
Sent from the Maven - Users mailing list archive at Nabble.com.

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message